at.chipkarte.client.ebs.soap

## Class RoetAntragsdaten

- Object
- - at.chipkarte.client.ebs.soap.RoetAntragsdaten

-     public class RoetAntragsdaten
      extends Object

  Dient der Ein- und Ausgabe der spezifischen medizinischen Daten für einen ROET-Antrag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoetAntragsdaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBisherigeTherapie()` Bisherige Therapie.
    `String` | `getMethode()` Methode der Röntgentherapie.
    `String` | `getMethodeBehandlung()` Methode der Röntgentherapie Behandlung.
    `void` | `setBisherigeTherapie(String bisherigeTherapie)`
    `void` | `setMethode(String methode)`
    `void` | `setMethodeBehandlung(String methodeBehandlung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoetAntragsdaten

          public RoetAntragsdaten()

  - ### Method Detail

    - #### getBisherigeTherapie

          public String getBisherigeTherapie()

      Bisherige Therapie.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        BisherigeTherapie.

    - #### setBisherigeTherapie

          public void setBisherigeTherapie(String bisherigeTherapie)

    - #### getMethode

          public String getMethode()

      Methode der Röntgentherapie.
      Mögliche Werte siehe `RoentgentherapieMethodeTypConstants`.
      Angabe: Bedingt. Muss angegeben werden, wenn KVT gleich "11". Darf nicht angegeben werden, wenn KVT ungleich "11".
      Returns:
        Methode.

    - #### setMethode

          public void setMethode(String methode)

    - #### getMethodeBehandlung

          public String getMethodeBehandlung()

      Methode der Röntgentherapie Behandlung.
      Mögliche Werte siehe `RoentgentherapieMethodeBehandlungTypConstants`.
      Angabe: Bedingt. Darf nicht angegeben werden, wenn KVT ungleich "07" oder "05".
      Returns:
        MethodeBehandlung.

    - #### setMethodeBehandlung

          public void setMethodeBehandlung(String methodeBehandlung)